# TSimpleHierarchyItem< T > Class Template Reference

Simple wrapper around some data (can be a pointer). More...

Inheritance diagram for TSimpleHierarchyItem< T >:

List of all members.

## Public Member Functions
T & | GetData ()
void | SetData (const T &inData)
virtual uint32 MCCOMAPI | AddRef ()
virtual uint32 MCCOMAPI | Release ()
virtual MCErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual boolean | HasChildren () const
virtual void | Selected ()
virtual void | Unselected ()
virtual void | CloseItem ()
virtual void | OpenItem (THierarchicalListItem *item, TMFHierarchicalListPart *inListPart)
virtual void | SetWasOpen (boolean inWasOpen)
virtual boolean | GetWasOpen ()
## Static Public Member Functions
static void | Create (const T &inData, TSimpleHierarchyItem **outItem)
## Static Public Attributes
static const MCGUID | sClassId
## Protected Member Functions
| TSimpleHierarchyItem (const T &inData)
| ~TSimpleHierarchyItem ()
## Protected Attributes
T | fData

## Detailed Description

### template<class T>
class TSimpleHierarchyItem< T >

Simple wrapper around some data (can be a pointer).

## Constructor & Destructor Documentation

template<class T >

TSimpleHierarchyItem< T >::TSimpleHierarchyItem | ( | const T & | inData | ) | `[inline, protected]`

template<class T >

TSimpleHierarchyItem< T >::~TSimpleHierarchyItem | ( |  | ) | `[inline, protected]`

## Member Function Documentation

template<class T >

virtual uint32 MCCOMAPI TSimpleHierarchyItem< T >::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TMCCountedObject.

template<class T >

virtual void TSimpleHierarchyItem< T >::CloseItem | ( |  | ) | `[inline, virtual]`

Implements IMFHierarchyItem.

template<class T >

static void TSimpleHierarchyItem< T >::Create | ( | const T & | inData,
|  | TSimpleHierarchyItem< T > ** | outItem |
| ) |  |  | `[inline, static]`

template<class T >

T& TSimpleHierarchyItem< T >::GetData | ( | void |  | ) | `[inline]`

template<class T >

virtual boolean TSimpleHierarchyItem< T >::GetWasOpen | ( |  | ) | `[inline, virtual]`

Implements IMFHierarchyItem.

template<class T >

virtual boolean TSimpleHierarchyItem< T >::HasChildren | ( |  | ) | const`[inline, virtual]`

Implements IMFHierarchyItem.

template<class T >

virtual void TSimpleHierarchyItem< T >::OpenItem | ( | THierarchicalListItem * | item,
|  | TMFHierarchicalListPart * | inListPart |
| ) |  |  | `[inline, virtual]`

Implements IMFHierarchyItem.

template<class T >

virtual MCErr MCCOMAPI TSimpleHierarchyItem< T >::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[inline, virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TMCCountedObject.

template<class T >

virtual uint32 MCCOMAPI TSimpleHierarchyItem< T >::Release | ( |  | ) | `[inline, virtual]`

Decrements the reference count of the object. If the reference count reaches zero, the object is destroyed.

Reimplemented from TMCCountedObject.

template<class T >

virtual void TSimpleHierarchyItem< T >::Selected | ( |  | ) | `[inline, virtual]`

Implements IMFHierarchyItem.

template<class T >

void TSimpleHierarchyItem< T >::SetData | ( | const T & | inData | ) | `[inline]`

template<class T >

virtual void TSimpleHierarchyItem< T >::SetWasOpen | ( | boolean | inWasOpen | ) | `[inline, virtual]`

Implements IMFHierarchyItem.

template<class T >

virtual void TSimpleHierarchyItem< T >::Unselected | ( |  | ) | `[inline, virtual]`

Implements IMFHierarchyItem.

## Member Data Documentation

template<class T >

T TSimpleHierarchyItem< T >::fData`[protected]`

template<class T >

const MCGUID TSimpleHierarchyItem< T >::sClassId`[static]`

The documentation for this class was generated from the following file:

- IMFHierarchicalListPart.h